Bug 891999 (lua-penlight) - Review Request: lua-penlight - Penlight Lua Libraries
Summary: Review Request: lua-penlight - Penlight Lua Libraries
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: lua-penlight
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: lua-ldoc
TreeView+ depends on / blocked
 
Reported: 2013-01-04 19:41 UTC by Thomas Moschny
Modified: 2013-01-23 02:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-23 01:44:33 UTC
Type: ---
sochotni: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Moschny 2013-01-04 19:41:31 UTC
Spec URL: http://thm.fedorapeople.org/lua-penlight/lua-penlight.spec
SRPM URL: http://thm.fedorapeople.org/lua-penlight/lua-penlight-1.0.3-1.a.fc17.src.rpm

Description:
Penlight brings together a set of generally useful pure Lua modules,
focussing on input data handling (such as reading configuration
files), functional programming (such as map, reduce, placeholder
expressions,etc), and OS path management.  Much of the functionality
is inspired by the Python standard libraries.

Fedora Account System Username: thm

Comment 1 Thomas Moschny 2013-01-09 15:06:03 UTC
Reset the fedora-review flag, somehow I misread the guidelines.

Comment 2 Stanislav Ochotnicky 2013-01-09 15:08:55 UTC
I will not post whole output of fedora-review since it's unnecessary, the package is mostly good. Three points remain:

1. Have you tried running tests from "tests" directory?
2. It would be nice to package examples as a separate subpackage too.

3. There are also two typos, one discovered by rpmlint:
lua-penlight.noarch: W: spelling-error %description -l en_US focussing -> focusing, focus sing, focus-sing
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

and another in comment:
# there's a circlular (build) dependency with lua-ldoc
                ^

Comment 3 Thomas Moschny 2013-01-09 21:15:05 UTC
Spec URL: http://thm.fedorapeople.org/lua-penlight/lua-penlight.spec
SRPM URL: http://thm.fedorapeople.org/lua-penlight/lua-penlight-1.0.3-2.a.fc17.src.rpm

%changelog
* Wed Jan  9 2013 Thomas Moschny <..> - 1.0.3-2.a
- Fix typos.
- Package examples as a separate subpackage.
- Run tests.

Comment 4 Stanislav Ochotnicky 2013-01-10 12:51:12 UTC
Package now fails to build (during tests):
lua: run.lua:3: module 'lfs' not found

Seems like tests should only be enabled when docs are built as well

Comment 5 Thomas Moschny 2013-01-10 13:11:00 UTC
Sorry, forgot one BR.

Spec URL: http://thm.fedorapeople.org/lua-penlight/lua-penlight.spec
SRPM URL: http://thm.fedorapeople.org/lua-penlight/lua-penlight-1.0.3-3.a.fc17.src.rpm

%changelog
* Thu Jan 10 2013 Thomas Moschny <..> - 1.0.3-3.a
- Add BR on lua-filesystem (needed when running the tests).
- Fix line-endings for the examples.

Comment 6 Stanislav Ochotnicky 2013-01-10 13:38:18 UTC
Very nice, thanks for taking the issues up with upstream as well. 

APPROVED

Comment 7 Thomas Moschny 2013-01-10 16:04:10 UTC
Thanks again for the review!

New Package SCM Request
=======================
Package Name: lua-penlight
Short Description: Penlight Lua Libraries
Owners: thm
Branches: f16 f17 f18
InitialCC:

Comment 8 Gwyn Ciesla 2013-01-10 16:09:11 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-01-12 11:48:13 UTC
lua-penlight-1.0.3-3.a.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lua-penlight-1.0.3-3.a.fc18

Comment 10 Fedora Update System 2013-01-12 11:48:27 UTC
lua-penlight-1.0.3-3.a.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lua-penlight-1.0.3-3.a.fc16

Comment 11 Fedora Update System 2013-01-12 11:48:36 UTC
lua-penlight-1.0.3-3.a.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lua-penlight-1.0.3-3.a.fc17

Comment 12 Fedora Update System 2013-01-14 04:01:27 UTC
lua-penlight-1.0.3-3.a.fc18 has been pushed to the Fedora 18 testing repository.

Comment 13 Fedora Update System 2013-01-23 01:44:36 UTC
lua-penlight-1.0.3-3.a.fc18 has been pushed to the Fedora 18 stable repository.

Comment 14 Fedora Update System 2013-01-23 01:51:54 UTC
lua-penlight-1.0.3-3.a.fc16 has been pushed to the Fedora 16 stable repository.

Comment 15 Fedora Update System 2013-01-23 02:00:56 UTC
lua-penlight-1.0.3-3.a.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.